# Generated by Django 3.0.4 on 2021-03-07 15:55

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Place",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=64, verbose_name="название")),
                ("address", models.CharField(max_length=128, verbose_name="адрес")),
                (
                    "subway",
                    models.CharField(max_length=64, verbose_name="станция метро"),
                ),
                ("location", models.CharField(max_length=64, verbose_name="локация")),
                ("latitude", models.FloatField(verbose_name="широта")),
                ("longitude", models.FloatField(verbose_name="долгота")),
            ],
            options={
                "verbose_name": "место проведения",
                "verbose_name_plural": "места проведения",
            },
        ),
        migrations.CreateModel(
            name="Tag",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=32, verbose_name="название")),
            ],
            options={
                "verbose_name": "тэг",
                "verbose_name_plural": "тэги",
            },
        ),
        migrations.CreateModel(
            name="Concert",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("kudago_id", models.IntegerField(verbose_name="id kudago")),
                ("title", models.CharField(max_length=128, verbose_name="заголовок")),
                (
                    "short_title",
                    models.CharField(max_length=64, verbose_name="краткий заголовок"),
                ),
                (
                    "description",
                    models.CharField(max_length=256, verbose_name="описание"),
                ),
                ("price", models.IntegerField(verbose_name="цена")),
                (
                    "start_date",
                    models.DateTimeField(verbose_name="дата и время проведения"),
                ),
                (
                    "image_url",
                    models.CharField(max_length=256, verbose_name="ссылка на картинку"),
                ),
                (
                    "place",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="concert.Place",
                        verbose_name="место",
                    ),
                ),
                ("tags", models.ManyToManyField(to="concert.Tag", verbose_name="тэги")),
            ],
            options={
                "verbose_name": "концерт",
                "verbose_name_plural": "концерты",
            },
        ),
    ]
